html {
    overflow-y: hidden;
}
.talk-to-me {
  font-size:14px
}
#talk-container,
#talk-off {
  min-width: 330px;
  width: 45vh;
  margin: 0 auto;
  position: relative;
  padding: 0;
  height: 100vh;
  height: calc(var(--vh, 1vh) * 100);
}

#talk-off {
  margin-top: 5em;
}

#talk-canvas {
  display: none;
}

#talk-inputs {
  bottom: 0px;
  border-top: 1px solid #444;
  width: 100%;
  height: 50px;
  position: relative;
}

#talk-inputs * {
  height: 100%;
  padding-top: 1px;
}

#talk-logs {
  width: 100%;
  padding: 0 20px;
  height: calc(100% - 55px);
  overflow-y: scroll;
  -ms-overflow-style: none;
  scrollbar-width: none;
}


#talk-logs::-webkit-scrollbar {
  display: none;
}

#talk-intext,
#talk-send {
  vertical-align: middle;
  border-radius: 0;
  border: none;
  background-color: white;
}

#talk-text {
  border-right: 1px solid #444;
  width: calc(100% - 50px);
  display: inline-block;
  vertical-align: top;
}

#talk-intext {
  padding: 0 0 0 5px;
  width: calc(100% - 45px);
  font-size: 1em;
}

#talk-send:not(:disabled),
#talk-img:not(.disabled) {
  cursor: pointer;
}

#talk-send:disabled,
#talk-img.disabled {
  opacity: 0.4;
}

#talk-send {

  width: 40px;
  display: inline-block;

}

#talk-intext:focus,
#talk-send:focus {
  outline: none;
}

#talk-file {
  display: none;
}

#talk-img {


  width: 45px;
  display: inline-block;
  text-align: center;
  vertical-align: middle;
}

#talk-logs img {
  margin: 1.25em 0;
  display: block;
  max-width: 85%;
}

#talk-logs div {
  line-height: 1.2;
  min-height: 1.6em;
  margin: 10px 0;
}

#talk-logs>div:last-of-type {
  min-height: 3.6em;
  margin-bottom: 2em;
}

#talk-logs p {
  margin: 0.5em 0;
  font-size: 1.3em;
  word-break: break-word;
}

#talk-logs p span {
  margin-top:0.25em;
  display: block;
}
#talk-logs p :not(:first-child):before {
 content:" / ";
}


#talk-logs p,
.talk-loader {
  display: block;
}

.talk-loader {
  font-size: 1.3em;
}
#talk-logs div:nth-child(4n+1) {
  text-align: right;
}
#talk-logs div:nth-child(4n+2) img {
  margin-left: auto;
}
.talk-alt:before {
  text-decoration: none;
  content: "_";
  display: block;
  font-size: 1.15em;
  margin: 0.8em 0 0.2em 0em;
}

.talk-no-talk {
  text-decoration: line-through;
  text-decoration-color: #444;
  text-decoration-style: solid;
}